GuidesAPI ReferenceChangelog
API Reference

Create Customer

Create a new business account (Customer) for the authenticated Entity.

Customer Onboarding Flow — License-as-a-Service

This endpoint is Step 2 in the customer onboarding process:

  1. Create TOS Link (POST /v1/customers/tos_links) - Generate a TOS signing URL
  2. User Signs TOS - Redirect user to the URL to sign the agreement and obtain signed_agreement_id
  3. Create Customer (this endpoint) - Submit business information with signed_agreement_id
  4. KYB Review - Auto-approved in sandbox, manual review in production
  5. Fiat Account Provisioning - Automatic after KYB approval

Customer Onboarding Flow — Reliance

Under the Reliance model, your organization is responsible for collecting the customer's Terms of Service acceptance independently.

Instead of using the TOS link signing flow, provide the terms_signed_at timestamp directly — allowing you to onboard new customers in a single API call.

  1. Create Customer (this endpoint) - Submit business information with terms_signed_at
  2. KYB Review - Auto-approved in sandbox, manual review in production
  3. Fiat Account Provisioning - Automatic after KYB approval

Post-Creation

After successful creation, the customer enters KYB review. Poll GET /v1/customers/{customer_id} or use webhooks to monitor status changes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for creating a Customer

string
required
string
required

Business description

string | null

A unique identifier assigned to a company by the government during its incorporation

string
required

Primary email address

string
enum
required

How the business is legally registered

string
required

The industry in which this business operates. Click here for the complete list of valid industries and codes.

registered_address
object
required

Registered address

string
required

Date of incorporation (format: YYYY-MM-DD)

string | null

Required for License-as-a-service entities. The ID of the signed agreement that the customer completed (UUID format).

string | null

Only allowed for entities with Reliance model enabled. Timestamp of when you collected the customer's terms of service signature.

associated_persons
array of objects
required

Associated persons (beneficial owners, controllers, signers)

associated_persons*
intermediaries
array of objects | null

Intermediaries in the corporate ownership chain (optional)

intermediaries
string
enum
required

Account purpose

source_of_funds
array of objects
required

Source of funds (can be multiple sources)

source_of_funds*
source_of_wealth
array of objects
required

Source of wealth (can be multiple sources)

source_of_wealth*
documents
array of objects
required

Documents for KYB (Know Your Business) verification

documents*
string | null

The business's primary website/web presence

boolean
required

Whether the business is publicly traded

string
enum
required

Estimated annual revenue in USD

Allowed:
string
enum
required

Expected monthly Fiat deposits (in USD)

Allowed:
string
enum
required

Expected monthly Fiat withdrawals (in USD)

Allowed:
string | null

Required if the primary purpose is 'other'

high_risk_activities
array of objects | null

List of high-risk activities the business is involved in

high_risk_activities
string | null

An explanation of the high risk activities that the business performs

string
required

Tax country code in ISO 3166-1 alpha-3 format (e.g., USA, GBR, CAN)

string
required

Tax identification number for the business

string
enum
required

Tax identification type (e.g., EIN for USA, VAT for EU)

Responses

Language
Credentials
Bearer
OneMoney-HMAC-SHA256
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json